## cascading.pipe.assembly
Class Shape

    java.lang.Object
      cascading.pipe.Pipe
          cascading.pipe.SubAssembly
              cascading.pipe.assembly.Shape

All Implemented Interfaces:
  FlowElement, Serializable

    public class Shape

extends SubAssembly

Class Shape is a `SubAssembly` that will modify the input Tuple stream to match the given fields.

See Also:
  Serialized Form

Field Summary

Fields inherited from class cascading.pipe.Pipe
`previous`

Constructor Summary
`Shape(Pipe previous, Fields fields)`

Method Summary

Methods inherited from class cascading.pipe.SubAssembly
`getName, getPrevious, getTailNames, getTails, setTails, unwind`

Methods inherited from class cascading.pipe.Pipe
`equals, getHeads, getTrace, hashCode, isEquivalentTo, names, outgoingScopeFor, pipes, print, printInternal, resolveFields, resolveIncomingOperationFields, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Shape

    @ConstructorProperties(value={"previous","fields"})
    public Shape(Pipe previous,
                                            Fields fields)

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.